Skip to main content
GET
/
onchain
/
pools
/
megafilter
Megafilter for Pools
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/onchain/pools/megafilter \
  --header 'x-cg-pro-api-key: <api-key>'
{
  "data": [
    {
      "id": "base_0x3e97c5ec8c73e7d566aca606472141a9b9a8c1fa",
      "type": "pool",
      "attributes": {
        "base_token_price_usd": "0.05193801053",
        "base_token_price_native_currency": "0.000025326242378315592946540670776322410025776",
        "quote_token_price_usd": "0.776158829933404",
        "quote_token_price_native_currency": "0.000376082386826923",
        "base_token_price_quote_token": "0.06734227197",
        "quote_token_price_base_token": "14.8495138445",
        "address": "0x3e97c5ec8c73e7d566aca606472141a9b9a8c1fa",
        "name": "DEUS / VIRTUAL",
        "pool_created_at": "2026-05-27T13:04:51Z",
        "fdv_usd": "45464410.8007355",
        "market_cap_usd": "0.0",
        "price_change_percentage": {
          "m5": "-3.42",
          "m15": "-9.171",
          "m30": "4.444",
          "h1": "5.06",
          "h6": "28.62",
          "h24": "28.62"
        },
        "transactions": {
          "m5": {
            "buys": 20,
            "sells": 10,
            "buyers": 16,
            "sellers": 9
          },
          "m15": {
            "buys": 71,
            "sells": 30,
            "buyers": 51,
            "sellers": 27
          },
          "m30": {
            "buys": 139,
            "sells": 63,
            "buyers": 88,
            "sellers": 50
          },
          "h1": {
            "buys": 288,
            "sells": 163,
            "buyers": 167,
            "sellers": 120
          },
          "h6": {
            "buys": 2719,
            "sells": 1502,
            "buyers": 974,
            "sellers": 709
          },
          "h24": {
            "buys": 2719,
            "sells": 1502,
            "buyers": 974,
            "sellers": 709
          }
        },
        "volume_usd": {
          "m5": "14594.3019415648",
          "m15": "67379.9374046351",
          "m30": "133544.558315085",
          "h1": "375498.056536124",
          "h6": "4631158.03685961",
          "h24": "4631158.03685961"
        },
        "reserve_in_usd": "1257212.6821"
      },
      "relationships": {
        "base_token": {
          "data": {
            "id": "base_0x940a319b75861014a220d9c6c144d108552b089b",
            "type": "token"
          }
        },
        "quote_token": {
          "data": {
            "id": "base_0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b",
            "type": "token"
          }
        },
        "network": {
          "data": {
            "id": "base",
            "type": "network"
          }
        },
        "dex": {
          "data": {
            "id": "aerodrome-base",
            "type": "dex"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "base_0x940a319b75861014a220d9c6c144d108552b089b",
      "type": "token",
      "attributes": {
        "address": "0x940a319b75861014a220d9c6c144d108552b089b",
        "name": "DEUS Token",
        "symbol": "DEUS",
        "decimals": 18,
        "image_url": "https://coin-images.coingecko.com/coins/images/68133/large/Screenshot_2025-08-07_at_8.52.11%E2%80%AFPM.png?1754901254",
        "coingecko_coin_id": "xmaquina"
      }
    },
    {
      "id": "base_0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b",
      "type": "token",
      "attributes": {
        "address": "0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b",
        "name": "Virtual Protocol",
        "symbol": "VIRTUAL",
        "decimals": 18,
        "image_url": "https://coin-images.coingecko.com/coins/images/34057/large/LOGOMARK.png?1708356054",
        "coingecko_coin_id": "virtual-protocol"
      }
    },
    {
      "id": "aerodrome-base",
      "type": "dex",
      "attributes": {
        "name": "Aerodrome (Base)"
      }
    },
    {
      "id": "base",
      "type": "network",
      "attributes": {
        "name": "Base",
        "coingecko_asset_platform_id": "base"
      }
    }
  ]
}

Notes

  • Use checks to filter pools:
    • no_honeypot — exclude honeypot pools (GoPlus & De.Fi Scanner)
    • good_gt_score — GT Score of at least 75
    • on_coingecko — tokens listed on CoinGecko
    • has_social — social links and token info updated
  • dexes param can only be used when a single networks is specified.
  • Returns up to 20 pools per page.
  • Unverified token market cap returns null — the displayed value on GeckoTerminal may match FDV and might not be accurate.
  • Use include to return related attributes under the top-level included key.
  • include_unknown_honeypot_tokens=true includes tokens with unknown honeypot status (only works with checks=no_honeypot).
Honeypot data is not supported for Solana.

SDK Examples

const response = await client.onchain.pools.megafilter.get();

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Query Parameters

networks
string

Filter pools by networks, comma-separated if more than one. *refers to /onchain/networks.

dexes
string

Filter pools by DEXes, comma-separated if more than one. *refers to /onchain/networks/{network}/dexes.

include
string

Attributes to include, comma-separated if more than one. Available values: base_token, quote_token, dex, network

page
integer

Page through results. Default value: 1

sort
enum<string>

Sort the pools by field. Default: h6_trending

Available options:
m5_trending,
h1_trending,
h6_trending,
h24_trending,
h24_tx_count_desc,
h24_tx_count_asc,
h24_volume_usd_desc,
h24_volume_usd_asc,
m5_price_change_percentage_asc,
h1_price_change_percentage_asc,
h6_price_change_percentage_asc,
h24_price_change_percentage_asc,
m5_price_change_percentage_desc,
h1_price_change_percentage_desc,
h6_price_change_percentage_desc,
h24_price_change_percentage_desc,
fdv_usd_asc,
fdv_usd_desc,
reserve_in_usd_asc,
reserve_in_usd_desc,
price_asc,
price_desc,
pool_created_at_desc
fdv_usd_min
number

Minimum fully diluted value in USD.

fdv_usd_max
number

Maximum fully diluted value in USD.

reserve_in_usd_min
number

Minimum reserve in USD.

reserve_in_usd_max
number

Maximum reserve in USD.

h24_volume_usd_min
number

Minimum 24hr volume in USD.

h24_volume_usd_max
number

Maximum 24hr volume in USD.

pool_created_hour_min
number

Minimum pool age in hours.

pool_created_hour_max
number

Maximum pool age in hours.

tx_count_min
integer

Minimum transaction count.

tx_count_max
integer

Maximum transaction count.

tx_count_duration
enum<string>

Duration for transaction count metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
buys_min
integer

Minimum number of buy transactions.

buys_max
integer

Maximum number of buy transactions.

buys_duration
enum<string>

Duration for buy transactions metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
sells_min
integer

Minimum number of sell transactions.

sells_max
integer

Maximum number of sell transactions.

sells_duration
enum<string>

Duration for sell transactions metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
price_change_percentage_min
number

Minimum price change percentage.

price_change_percentage_max
number

Maximum price change percentage.

price_change_percentage_duration
enum<string>

Duration for price change percentage metric. Default: 24h

Available options:
5m,
1h,
6h,
24h
buy_tax_percentage_min
number

Minimum buy tax percentage.

buy_tax_percentage_max
number

Maximum buy tax percentage.

sell_tax_percentage_min
number

Minimum sell tax percentage.

sell_tax_percentage_max
number

Maximum sell tax percentage.

holder_count_min
integer

Minimum holder count.

holder_count_max
integer

Maximum holder count.

top_10_holders_percentage_min
number

Minimum top 10 holders percentage.

top_10_holders_percentage_max
number

Maximum top 10 holders percentage.

checks
string

Filter options for various checks, comma-separated if more than one. Available values: no_honeypot, good_gt_score, on_coingecko, has_social

include_unknown_honeypot_tokens
boolean

When checks includes no_honeypot, set to true to also include unknown honeypot tokens. Default: false

Response

200 - application/json

Filtered pools across all networks

data
object[]
required
included
object[]

Included related resources, present when include parameter is specified